Option Explicit
Option Strict

Imports System.Reflection
Imports System.Runtime.InteropServices
Imports System.EnterpriseServices

<assembly:AssemblyKeyFile("BankVB.snk")>
<assembly:ApplicationName("DotNetBank")>

Namespace Wrox

  Public Class <Transaction(TransactionOption.RequiresNew)> BankVB
  	Inherits ServicedComponent

    Public Sub Transfer(FromAC As String, ToAC As String, Amt As Decimal)
    	Dim f As String = "Transferring " & Amt.ToString() & " from " & FromAC & " to " & ToAC
    	
    	ContextUtil.SetComplete()
    End Sub

  End Class

End Namespace
